package service

import (
	"be.ems/src/modules/ne_data/model"
	"be.ems/src/modules/ne_data/repository"
)

// 实例化数据层 AlarmLog 结构体
var NewAlarmLog = &AlarmLog{
	alarmLogRepository: repository.NewAlarmLog,
}

// AlarmLog 基站状态记录表 服务层处理
type AlarmLog struct {
	alarmLogRepository *repository.AlarmLog // 基站状态记录信息
}

// FindByPage 根据条件分页查询
func (r AlarmLog) FindByPage(query model.AlarmLogQuery) ([]model.AlarmLog, int64) {
	return r.alarmLogRepository.SelectByPage(query)
}

// Insert 插入数据
func (r AlarmLog) Insert(item model.AlarmLog) int64 {
	return r.alarmLogRepository.Insert(item)
}
